GNU Radio C++ API Reference: LineMarkerMenu Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
LineMarkerMenu Class Reference

`#include <gnuradio/qtgui/form_menus.h>`

## Public Slots
void | getNone ()
void | getCircle ()
void | getRect ()
void | getDiamond ()
void | getTriangle ()
void | getDTriangle ()
void | getLTriangle ()
void | getRTriangle ()
void | getCross ()
void | getXCross ()
void | getHLine ()
void | getVLine ()
void | getStar1 ()
void | getStar2 ()
void | getHexagon ()

## Signals
void | whichTrigger (unsigned int which, QwtSymbol::Style)

## Public Member Functions
| LineMarkerMenu (unsigned int which, QWidget *parent)
| ~LineMarkerMenu () override
int | getNumActions () const
QAction * | getAction (unsigned int which)

## Constructor & Destructor Documentation

## ◆ LineMarkerMenu()

LineMarkerMenu::LineMarkerMenu | ( | unsigned int | which,
|  | QWidget * | parent )
| inline

References getCircle(), getCross(), getDiamond(), getDTriangle(), getHexagon(), getHLine(), getLTriangle(), getNone(), getRect(), getRTriangle(), getStar1(), getStar2(), getTriangle(), getVLine(), and getXCross().

## ◆ ~LineMarkerMenu()

LineMarkerMenu::~LineMarkerMenu | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ getAction()

QAction * LineMarkerMenu::getAction | ( | unsigned int | which | ) |
| inline

## ◆ getCircle

void LineMarkerMenu::getCircle | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineMarkerMenu().

## ◆ getCross

void LineMarkerMenu::getCross | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineMarkerMenu().

## ◆ getDiamond

void LineMarkerMenu::getDiamond | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineMarkerMenu().

## ◆ getDTriangle

void LineMarkerMenu::getDTriangle | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineMarkerMenu().

## ◆ getHexagon

void LineMarkerMenu::getHexagon | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineMarkerMenu().

## ◆ getHLine

void LineMarkerMenu::getHLine | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineMarkerMenu().

## ◆ getLTriangle

void LineMarkerMenu::getLTriangle | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineMarkerMenu().

## ◆ getNone

void LineMarkerMenu::getNone | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineMarkerMenu().

## ◆ getNumActions()

int LineMarkerMenu::getNumActions | ( |  | ) | const
| inline

## ◆ getRect

void LineMarkerMenu::getRect | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineMarkerMenu().

## ◆ getRTriangle

void LineMarkerMenu::getRTriangle | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineMarkerMenu().

## ◆ getStar1

void LineMarkerMenu::getStar1 | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineMarkerMenu().

## ◆ getStar2

void LineMarkerMenu::getStar2 | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineMarkerMenu().

## ◆ getTriangle

void LineMarkerMenu::getTriangle | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineMarkerMenu().

## ◆ getVLine

void LineMarkerMenu::getVLine | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineMarkerMenu().

## ◆ getXCross

void LineMarkerMenu::getXCross | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineMarkerMenu().

## ◆ whichTrigger

void LineMarkerMenu::whichTrigger | ( | unsigned int | which,
|  | QwtSymbol::Style | )
| signal

Referenced by getCircle(), getCross(), getDiamond(), getDTriangle(), getHexagon(), getHLine(), getLTriangle(), getNone(), getRect(), getRTriangle(), getStar1(), getStar2(), getTriangle(), getVLine(), and getXCross().

The documentation for this class was generated from the following file:

- form_menus.h